not HTTPS / SSL compatible

please make HTTPS / SSL compatible (within wp-admin area):
I found this in the wp-admin "view source" code:
"root_url": "http://example.com/wp-content/plugins/directory/",

I'm not 100% sure that's the thing throwing the error, but if you could at least look into it, I'd appreciate it. Thank you.